Package org.gradle.api.problems

## Interface ProblemBuilderDefiningLocation

-     @Incubating
      public interface ProblemBuilderDefiningLocation

  `Problem` instance builder requiring the specification of the problem location.
  Since:
    8.4

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ProblemBuilderDefiningCategory` | `fileLocation​(java.lang.String path, java.lang.Integer line, java.lang.Integer column, java.lang.Integer length)` | Declares that this problem is in a file with optional position and length.
    `ProblemBuilderDefiningCategory` | `noLocation()` | Declares that this problem has no associated location data.
    `ProblemBuilderDefiningCategory` | `pluginLocation​(java.lang.String pluginId)` | Declares that this problem is emitted while applying a plugin.
    `ProblemBuilderDefiningCategory` | `stackLocation()` | Declares that this problem should automatically collect the location information based on the current stack trace.

- - ### Method Detail

    - #### fileLocation

          ProblemBuilderDefiningCategory fileLocation​(java.lang.String path,
                                                      @Nullable
                                                      java.lang.Integer line,
                                                      @Nullable
                                                      java.lang.Integer column,
                                                      @Nullable
                                                      java.lang.Integer length)

      Declares that this problem is in a file with optional position and length.
      Parameters:
        `path` - the file location
        `line` - the line number
        `column` - the column number
        `length` - the length of the text
      Returns:
        the builder for the next required property
      Since:
        8.5

    - #### pluginLocation

          ProblemBuilderDefiningCategory pluginLocation​(java.lang.String pluginId)

      Declares that this problem is emitted while applying a plugin.
      Parameters:
        `pluginId` - the ID of the applied plugin
      Returns:
        the builder for the next required property
      Since:
        8.5

    - #### stackLocation

          ProblemBuilderDefiningCategory stackLocation()

      Declares that this problem should automatically collect the location information based on the current stack trace.
      Returns:
        the builder for the next required property
      Since:
        8.5

    - #### noLocation

          ProblemBuilderDefiningCategory noLocation()

      Declares that this problem has no associated location data.
      Returns:
        the builder for the next required property
      Since:
        8.4